## python-xattr 0.9.7

=== requirements.txt ===
cffi>=1.0

## python-xattr 0.4

=== debian/changelog ===
python-xattr (0.4-5) unstable; urgency=low

  * New maintainer. (Closes: #579614)
  * package rebuilt from scratch
    - Built using dh7
    - Standards-Version bumped to 3.9.0, no changes needed
    - Manpage added (thanks David Paleino)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 04 Jul 2010 20:36:08 +0100

python-xattr (0.4-4) unstable; urgency=low

  * depend on python-pkg-resources (Closes: #468703)
  * use Vcs-Git instead of XS-Vcs-Git 

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 02 Mar 2008 14:32:44 +0100

python-xattr (0.4-3) unstable; urgency=low

  * depend on python-setuptools (Closes: #456716)
  * add XS-VCS-Git
  * bump standards version

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 18 Dec 2007 13:22:07 +0100

python-xattr (0.4-2) unstable; urgency=low

  * depend on python-setuptools (Closes: #415542) 

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 20 Mar 2007 18:45:38 +0100

python-xattr (0.4-1) unstable; urgency=low

  * New Upstream Version
  * debian/patches/version: drop, fixed upstream
  * debian/patches/tool.py-add-missing-global: add, fix attribute display in
    xattr

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 20 Mar 2007 00:10:07 +0100

python-xattr (0.2-3) unstable; urgency=low

  * correct version number in __init__.py
  * build-depend on python-all-dev so all we build for all available python
    versions (Closes: #387013)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 11 Sep 2006 23:21:08 +0200

python-xattr (0.2-2) unstable; urgency=low

  * upload to unstable since we actually provide the same functionality as
    python-pykerberos and therefore can safely provide/replace it
  * don't install INSTALLING.txt

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 11 Sep 2006 14:44:19 +0200

python-xattr (0.2-1) experimental; urgency=low

  * Initial release

 -- Guido Guenther <agx@sigxcpu.org>  Wed,  6 Sep 2006 15:52:03 +0200

=== debian/control ===
Source: python-xattr
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support (>= 0.90.0~), python-setuptools
Standards-Version: 3.9.0
Homepage: http://www.undefined.org/python/
Vcs-Git: git://git.debian.org/collab-maint/python-xattr.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-xattr.git;a=summary

Package: python-xattr
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python-pyxattr
Provides: python-pyxattr
Description: module for manipulating filesystem extended attributes
 This module allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included). It is compatible to
 python-pyxattr but also provides a dictionary like interfaces for manipulating
 these attributes.

## python-xattr 0.6

=== debian/changelog ===
python-xattr (0.6-1ubuntu2) oneiric; urgency=low

  * Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Jul 2011 09:52:37 -0400

python-xattr (0.6-1ubuntu1) oneiric; urgency=low

  * python-support transition. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Jul 2011 08:59:12 -0400

python-xattr (0.6-1build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:12:59 +0000

python-xattr (0.6-1) unstable; urgency=low

  * New upstream release (Closes: #592860)
  * Standards-Version bumped to 3.9.1, no changes needed.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 23 Aug 2010 16:53:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-xattr
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support (>= 0.90.0~), python-setuptools
-Standards-Version: 3.9.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-setuptools
+Standards-Version: 3.9.1
 Homepage: http://www.undefined.org/python/
 Vcs-Git: git://git.debian.org/collab-maint/python-xattr.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-xattr.git;a=summary

## python-xattr 0.6.2

=== debian/changelog ===
python-xattr (0.6.2-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - dh_python2 transition

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 Sep 2011 00:04:06 +0000

python-xattr (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 19 Aug 2011 13:28:08 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-setuptools
-Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
 Homepage: http://www.undefined.org/python/
 Vcs-Git: git://git.debian.org/collab-maint/python-xattr.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-xattr.git;a=summary
 
 Package: python-xattr
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-pkg-resources
 Conflicts: python-pyxattr
 Provides: python-pyxattr
 Description: module for manipulating filesystem extended attributes

## python-xattr 0.6.4

=== debian/changelog ===
python-xattr (0.6.4-2build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:36 +0000

python-xattr (0.6.4-2) unstable; urgency=low

  * python-support dependency removed (Closes: #673713)
  * Standards-Version bumped to 3.9.3, no changes needed.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 29 Jun 2012 20:17:18 +0100

python-xattr (0.6.4-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 18 Feb 2012 15:31:18 +0000

=== debian/control ===
Source: python-xattr
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9~)
 , python-all-dev (>= 2.6.6-3~)
 , python-setuptools (>= 0.6.14-4)
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.undefined.org/python/
Vcs-Git: git://git.debian.org/git/collab-maint/python-xattr.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-xattr.git;a=summary

Package: python-xattr
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-pkg-resources
Conflicts: python-pyxattr
Provides: ${python:Provides}
 , python-pyxattr
Description: module for manipulating filesystem extended attributes
 This module allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included). It is compatible to
 python-pyxattr but also provides a dictionary like interfaces for manipulating
 these attributes.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/x/xattr/xattr-(.*)\.tar\.gz

## python-xattr 0.7.8

=== debian/changelog ===
python-xattr (0.7.8-3) unstable; urgency=medium

  * Add python-cffi runtime dependency

 -- Federico Ceratto <federico@debian.org>  Sat, 13 Feb 2016 17:29:14 +0000

python-xattr (0.7.8-2) unstable; urgency=low

  * New upstream release (Closes: #813075)

 -- Federico Ceratto <federico@debian.org>  Mon, 08 Feb 2016 09:39:26 +0000

python-xattr (0.6.4-3) unstable; urgency=low

  * Add PSF to copyright (Closes: #689282)
  * Remove DM-Upload-Allowed field
  * Bump Standards-Version to 3.9.5
  * Update d/watch to use Github
  * Update Vcs fields

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 07 Jul 2014 23:59:06 +0100

=== debian/control ===
Source: python-xattr
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all-dev (>= 2.6.6-3~),
 python-cffi,
 python-setuptools (>= 0.6.14-4)
Standards-Version: 3.9.6
X-Python-Version: >= 2.5
Homepage: http://www.undefined.org/python/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-xattr.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-xattr.git;a=summary

Package: python-xattr
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 python-cffi,
 python-pkg-resources
Conflicts: python-pyxattr
Provides: ${python:Provides}
 , python-pyxattr
Description: module for manipulating filesystem extended attributes
 This module allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included). It is compatible to
 python-pyxattr but also provides a dictionary like interfaces for manipulating
 these attributes.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=xattr
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export PYBUILD_DISABLE=test

%:
	dh  $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf xattr.egg-info xattr/__pycache__
	find xattr -name '*.so' -delete

## python-xattr 0.8.0

=== debian/changelog ===
python-xattr (0.8.0-1) jessie; urgency=medium

  * Non-maintainer release.
  * Backported to jessie for pyxattr compatibility

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 05 Apr 2016 09:05:40 +0000

## python-xattr 0.9.1

=== debian/changelog ===
python-xattr (0.9.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Add xattr and python3-xattr binary package
  * Enable autopkgtest-pkg-python testsuite and cli test
  * Fixed homepage to real URL
  * Removed pre-wheezy versioned build depends
  * Bumped Standards-Version to 3.9.8 (no changes needed)
  * Enabled all but PIE hardening
  * d/copyright: Added myself for Debian part
  * Bumped debhelper compat version to 10

 -- Federico Ceratto <federico@debian.org>  Sun, 11 Dec 2016 14:26:28 +0100

=== debian/control ===
Source: python-xattr
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all-dev,
 python-cffi,
 python-setuptools,
 python3-all-dev,
 python3-cffi,
 python3-setuptools,
Standards-Version: 3.9.8
X-Python-Version: >= 2.5
Homepage: https://github.com/xattr/xattr
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-xattr.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-xattr.git;a=summary
Testsuite: autopkgtest-pkg-python

Package: xattr
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-xattr (=${binary:Version}),
 python3-pkg-resources,
Replaces: python-xattr (<< 0.9.1-1)
Breaks: python-xattr (<< 0.9.1-1)
Description: tool for manipulating filesystem extended attributes
 xattr tool allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included).
 .
 This package contains the xattr cli tool.

Package: python-xattr
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 python-cffi,
Conflicts: python-pyxattr
Provides: ${python:Provides}
 , python-pyxattr
Description: module for manipulating filesystem extended attributes - Python 2
 This module allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included). It is compatible to
 python-pyxattr but also provides a dictionary like interfaces for manipulating
 these attributes.
 .
 This package contains the Python 2.7 module.

Package: python3-xattr
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-cffi,
Conflicts: python3-pyxattr
Provides: ${python3:Provides}
 , python3-pyxattr
Description: module for manipulating filesystem extended attributes - Python 3
 This module allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included). It is compatible to
 python-pyxattr but also provides a dictionary like interfaces for manipulating
 these attributes.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=xattr
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export PYBUILD_DISABLE=test

%:
	dh  $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python-xattr/usr/bin
	mkdir -p debian/xattr/usr
	mv debian/python3-xattr/usr/bin debian/xattr/usr

override_dh_auto_clean:
	dh_auto_clean
	rm -rf xattr.egg-info xattr/__pycache__
	find xattr -name '*.so' -delete

## python-xattr 0.9.2

=== debian/changelog ===
python-xattr (0.9.2-0ubuntu1~cloud0) xenial-queens; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Dec 2017 09:05:28 +0000

python-xattr (0.9.2-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 10:04:02 -0500

python-xattr (0.9.1-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 May 2017 15:58:58 +1200

## python-xattr 0.9.3

=== debian/changelog ===
python-xattr (0.9.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * No longer disable PIE during build
  * d/tests/cli: Set correct exit code when compared data are different
  * Remove unnecessary python{3,}-cffi depends (Closes: #849746)

  [ Federico Ceratto ]
  * New upstream release (Closes: #890529)
  * Move VCS to Salsa

 -- Federico Ceratto <federico@debian.org>  Fri, 23 Feb 2018 17:17:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all-dev,
  python-cffi,
@@ -11,11 +11,11 @@
  python3-all-dev,
  python3-cffi,
  python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.5
 Homepage: https://github.com/xattr/xattr
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-xattr.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-xattr.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/python-xattr.git
+Vcs-Browser: https://salsa.debian.org/debian/python-xattr
 Testsuite: autopkgtest-pkg-python
 
 Package: xattr
@@ -27,8 +27,8 @@
  ${shlibs:Depends},
  python3-xattr (=${binary:Version}),
  python3-pkg-resources,
-Replaces: python-xattr (<< 0.9.1-1)
-Breaks: python-xattr (<< 0.9.1-1)
+Replaces: python-xattr (<< 0.9.3-1)
+Breaks: python-xattr (<< 0.9.3-1)
 Description: tool for manipulating filesystem extended attributes
  xattr tool allows manipulation of the filesystem extended attributes present
  in some operating systems (GNU/Linux included).
@@ -41,7 +41,6 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
- python-cffi,
 Conflicts: python-pyxattr
 Provides: ${python:Provides}
  , python-pyxattr
@@ -59,7 +58,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-cffi,
 Conflicts: python3-pyxattr
 Provides: ${python3:Provides}
  , python3-pyxattr

## python-xattr 0.9.6

=== debian/changelog ===
python-xattr (0.9.6-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 06 Sep 2018 12:06:53 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python3-all-dev,
  python3-cffi,
  python3-setuptools,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.5
+Standards-Version: 4.2.0
+X-Python-Version: >= 2.7
 Homepage: https://github.com/xattr/xattr
 Vcs-Git: https://salsa.debian.org/debian/python-xattr.git
 Vcs-Browser: https://salsa.debian.org/debian/python-xattr

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_VERBOSE=1
 export PYBUILD_NAME=xattr
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_DISABLE=test
 
 %:

## python-xattr 0.9.7

=== debian/changelog ===
python-xattr (0.9.7-1build4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:03 +0100

python-xattr (0.9.7-1build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 22:00:39 +0200

python-xattr (0.9.7-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:20 +0200

python-xattr (0.9.7-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:44:30 +0200

python-xattr (0.9.7-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 22 Jun 2020 00:08:05 +0100

=== debian/control ===
Source: python-xattr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-cffi,
 python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/xattr/xattr
Vcs-Git: https://salsa.debian.org/debian/python-xattr.git
Vcs-Browser: https://salsa.debian.org/debian/python-xattr
Testsuite: autopkgtest-pkg-python

Package: xattr
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-xattr (=${binary:Version}),
 python3-pkg-resources,
Description: tool for manipulating filesystem extended attributes
 xattr tool allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included).
 .
 This package contains the xattr cli tool.

Package: python3-xattr
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts: python3-pyxattr
Provides: ${python3:Provides}
 , python3-pyxattr
Description: module for manipulating filesystem extended attributes - Python 3
 This module allows manipulation of the filesystem extended attributes present
 in some operating systems (GNU/Linux included). It is compatible to
 python-pyxattr but also provides a dictionary like interfaces for manipulating
 these attributes.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh  $@ --with python2,python3 --buildsystem=pybuild
+	dh $@  --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: cli
Depends: xattr

## python-xattr 0.9.9

=== debian/changelog ===
python-xattr (0.9.9-1) unstable; urgency=medium

  * New upstream release
  * Fix tests. Thanks to Stefano Rivera (Closes #994769)

 -- Federico Ceratto <federico@debian.org>  Sun, 03 Apr 2022 19:40:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-xattr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-cffi,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/xattr/xattr
 Vcs-Git: https://salsa.debian.org/debian/python-xattr.git

## python-xattr 0.10.1

=== debian/changelog ===
python-xattr (0.10.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:56 +0200

python-xattr (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 08 Jan 2023 19:13:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: python-xattr
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-cffi,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/xattr/xattr
 Vcs-Git: https://salsa.debian.org/debian/python-xattr.git

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 	dh_auto_clean
 	rm -rf xattr.egg-info xattr/__pycache__
 	find xattr -name '*.so' -delete
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES.txt

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/xattr-$1.tar.gz/ https://github.com/xattr/xattr/tags .*/v?(\d\S*)\.tar\.gz

## python-xattr 1.3.0

=== debian/changelog ===
python-xattr (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 21 Feb 2026 13:08:10 +0100

python-xattr (0.10.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop Depends: python3-pkg-resources (Closes: #1083721)

 -- Bastian Germann <bage@debian.org>  Tue, 06 Jan 2026 11:35:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-xattr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -24,7 +23,6 @@
  ${python3:Depends},
  ${shlibs:Depends},
  python3-xattr (=${binary:Version}),
- python3-pkg-resources,
 Description: tool for manipulating filesystem extended attributes
  xattr tool allows manipulation of the filesystem extended attributes present
  in some operating systems (GNU/Linux included).

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@  --with python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
Version: 5

Source: https://github.com/xattr/xattr/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filename-Mangle: s/.+\/v?(\d\S*)\.tar\.gz/xattr-$1.tar.gz/
